POST
https://api.cryptohopper.com/v1/market/signals/{signal_id}/review
Posts your review of a signal provider. You need an active subscription to the signal and can review each signal once.
OAuth scope:
read manage About scopes
rating is 0 to 5: a value above 5 is saved as 5, and a missing value or a value of 0 or below is saved as 0.1. review_name and review are checked by a profanity filter.
Example request
curl -X POST "https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/review" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"review_name":"Steady results","review":"Running it on Binance for two months without issues.","rating":4}'
const response = await fetch('https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/review', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"review_name": "Steady results",
"review": "Running it on Binance for two months without issues.",
"rating": 4
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/review",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"review_name": "Steady results",
"review": "Running it on Binance for two months without issues.",
"rating": 4
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/review');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'review_name' => 'Steady results',
'review' => 'Running it on Binance for two months without issues.',
'rating' => 4,
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
signal_id |
string | Required | Signal provider ID. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
review_name | string | Optional | |
review | string | Optional | |
rating | number | Optional | Between 0 and 5. |
Response
{
"data": {
"review_id": 5501,
"message": "Review has been saved."
}
}